# DataExchange
TKSTEP
StepAP214

# StepAP214_Array1OfApprovalItem Class Reference

`#include <StepAP214_Array1OfApprovalItem.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP214_Array1OfApprovalItem (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepAP214_Array1OfApprovalItem (const StepAP214_ApprovalItem &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepAP214_ApprovalItem &V)
Standard_EXPORT void | Destroy ()
| ~StepAP214_Array1OfApprovalItem ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepAP214_Array1OfApprovalItem & | Assign (const StepAP214_Array1OfApprovalItem &Other)
const StepAP214_Array1OfApprovalItem & | operator= (const StepAP214_Array1OfApprovalItem &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP214_ApprovalItem &Value)
const StepAP214_ApprovalItem & | Value (const Standard_Integer Index) const
const StepAP214_ApprovalItem & | operator() (const Standard_Integer Index) const
StepAP214_ApprovalItem & | ChangeValue (const Standard_Integer Index)
StepAP214_ApprovalItem & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepAP214_Array1OfApprovalItem (const StepAP214_Array1OfApprovalItem &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_Array1OfApprovalItem::StepAP214_Array1OfApprovalItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepAP214_Array1OfApprovalItem::StepAP214_Array1OfApprovalItem | ( | const StepAP214_ApprovalItem & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepAP214_Array1OfApprovalItem::~StepAP214_Array1OfApprovalItem | ( |  | ) | `[inline]`

Standard_EXPORT StepAP214_Array1OfApprovalItem::StepAP214_Array1OfApprovalItem | ( | const StepAP214_Array1OfApprovalItem & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepAP214_Array1OfApprovalItem& StepAP214_Array1OfApprovalItem::Assign | ( | const StepAP214_Array1OfApprovalItem & | Other | ) |

StepAP214_ApprovalItem& StepAP214_Array1OfApprovalItem::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepAP214_Array1OfApprovalItem::Destroy | ( |  | ) |

Standard_EXPORT void StepAP214_Array1OfApprovalItem::Init | ( | const StepAP214_ApprovalItem & | V | ) |

Standard_Boolean StepAP214_Array1OfApprovalItem::IsAllocated | ( |  | ) | const

Standard_Integer StepAP214_Array1OfApprovalItem::Length | ( |  | ) | const

Standard_Integer StepAP214_Array1OfApprovalItem::Lower | ( |  | ) | const

void StepAP214_Array1OfApprovalItem::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepAP214_Array1OfApprovalItem::operator new | ( | size_t | size | ) | `[inline]`

void* StepAP214_Array1OfApprovalItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepAP214_ApprovalItem& StepAP214_Array1OfApprovalItem::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepAP214_ApprovalItem& StepAP214_Array1OfApprovalItem::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepAP214_Array1OfApprovalItem& StepAP214_Array1OfApprovalItem::operator= | ( | const StepAP214_Array1OfApprovalItem & | Other | ) | `[inline]`

void StepAP214_Array1OfApprovalItem::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP214_ApprovalItem & | Value
| ) |

Standard_Integer StepAP214_Array1OfApprovalItem::Upper | ( |  | ) | const

const StepAP214_ApprovalItem& StepAP214_Array1OfApprovalItem::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepAP214_Array1OfApprovalItem::isAllocated `[private]`

Standard_Integer StepAP214_Array1OfApprovalItem::myLowerBound `[private]`

Standard_Address StepAP214_Array1OfApprovalItem::myStart `[private]`

Standard_Integer StepAP214_Array1OfApprovalItem::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepAP214_Array1OfApprovalItem.hxx